Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.aggregate
Interface MultiPoint

All Superinterfaces:
  Aggregate, Geometry, MultiPrimitive, TransfiniteSet

    public interface MultiPoint

extends MultiPrimitive

An aggregate class containing only instances of `Point`. The association role `element` shall be the set of points contained in this `MultiPoint`.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary
`Set<Point>` | `getElements()` Returns the set containing the elements that compose this `MultiPoint`.

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### getElements

    @UML(identifier="element",
         obligation=MANDATORY,
         specification=ISO_19107)
    Set<Point> getElements()

  Returns the set containing the elements that compose this `MultiPoint`. The set may be modified if this geometry is mutable.

  Specified by:
    `getElements` in interface `Aggregate`
  Specified by:
    `getElements` in interface `MultiPrimitive`
  Since:
    GeoAPI 2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.